Loading...
Searching...
No Matches
Opm::WellTest< Scalar, IndexTraits > Class Template Reference

Class for performing well tests. More...

`#include <WellTest.hpp>`

## Public Member Functions

| WellTest (const WellInterfaceGeneric< Scalar, IndexTraits > &well)
| Constructor sets reference to well.
void | updateWellTestStateEconomic (const SingleWellState< Scalar, IndexTraits > &ws, const double simulation_time, const bool write_message_to_opmlog, WellTestState &well_test_state, bool zero_group_target, DeferredLogger &deferred_logger) const
void | updateWellTestStatePhysical (const double simulation_time, const bool write_message_to_opmlog, WellTestState &well_test_state, DeferredLogger &deferred_logger) const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WellTest< Scalar, IndexTraits >

Class for performing well tests.

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellTest.hpp
- opm/simulators/wells/WellTest.cpp